package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.CourseSchedule;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.List;

/**
 * @Author Joburgess
 * @Date 2019/9/21
 */
public class VipGroupApplyDto {

    @ApiModelProperty(value = "vip课基本信息",required = false)
    private VipGroupApplyBaseInfoDto vipGroupApplyBaseInfo;

    @ApiModelProperty(value = "课程计划列表",required = false)
    private List<CourseSchedule> courseSchedules;

    @ApiModelProperty(value = "课程组只能是正常状态")
    private boolean onlyProgress;

    private BigDecimal singleClassPrice;

    public BigDecimal getSingleClassPrice() {
        return singleClassPrice;
    }

    public void setSingleClassPrice(BigDecimal singleClassPrice) {
        this.singleClassPrice = singleClassPrice;
    }

    private String studentIds;

    public String getStudentIds() {
        return studentIds;
    }

    public void setStudentIds(String studentIds) {
        this.studentIds = studentIds;
    }

    public VipGroupApplyBaseInfoDto getVipGroupApplyBaseInfo() {
        return vipGroupApplyBaseInfo;
    }

    public void setVipGroupApplyBaseInfo(VipGroupApplyBaseInfoDto vipGroupApplyBaseInfo) {
        this.vipGroupApplyBaseInfo = vipGroupApplyBaseInfo;
    }

    public List<CourseSchedule> getCourseSchedules() {
        return courseSchedules;
    }

    public void setCourseSchedules(List<CourseSchedule> courseSchedules) {
        this.courseSchedules = courseSchedules;
    }

    public boolean getOnlyProgress() {
        return onlyProgress;
    }

    public void setOnlyProgress(boolean onlyProgress) {
        this.onlyProgress = onlyProgress;
    }
}
